import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  StopEarthObservationJobInput,
  StopEarthObservationJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export interface StopEarthObservationJobCommandInput
  extends StopEarthObservationJobInput {}
export interface StopEarthObservationJobCommandOutput
  extends StopEarthObservationJobOutput,
    __MetadataBearer {}
export declare class StopEarthObservationJobCommand extends $Command<
  StopEarthObservationJobCommandInput,
  StopEarthObservationJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: StopEarthObservationJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StopEarthObservationJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StopEarthObservationJobCommandInput,
    StopEarthObservationJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
